Lollipop AppCompat - v7 21 - Attribut «thème» a déjà été défini

? user3184899 @ | Original: StackOverFlow

Donc, je ai essayé de mettre mon projet à soutenir Android Lollipop et API 21 .

Je ai donc changé AppCompat vesrion aux dependecies à 21.0.0 , Et mon SDK cible à 21.

Mais maintenant, quand je essaie de synchroniser les fichiers projet avec Gradle, il me donne «____» qui ne étaient pas là avant :

Une erreur de «____» - donné par mon 102 errors fichier ,

et un autre 101 erreurs de «____» - la plupart sont ceux des matériaux - donnée par «____» .

Déjà mis à jour tous les outils SDK dans le logiciel SDK Android , Utilisation Android Studio 0.8.9 Beta .

Quelqu'un peut-il aider? Merci .



Top 5 Respuesta

1tilal6991 @

Je ai eu la première question ainsi . Il peut être fixé en mettant à jour le services Google Play dépendance à 6,1 . + .

Dans Gradle ( je espère que vous utilisez ), ce est : compiler ' com.google.android.gms : play- services : 6.1 + . '

Quant à la deuxième question - que les gens ont dit dans les commentaires, vous devez vous assurer que tous les composants de votre installation de SDK sont à jour .



2Fedor Kazakov @

Je ai eu le même problème, mais mise à niveau vers les dernières versions ne aidé .

Mais le message d'erreur "Attribute 'theme' has already defined" changé en colors.XML

Dans services Google Play changements que je ai trouvé cet

"no resources found that matches the given name..."

Et ce est la clé .

Si vous avez dans votre attr.xml attributs thème ou la mise en page ou peut-être quelque chose d'autre - le renommer . Il semble fusion ne peut pas traiter avec elle .

3Hesam @

Parfois, la bibliothèque que vous utilisez possède cet attribut . Je utilisais bibliothèque https://github.com/umano/AndroidSlidingUpPanel et je ai obtenu l'erreur suivante lors de la compilation. Je avais dans mes articles de bibliothèques de dépendances suivantes:

"build/intermediates/exploded-aar/com.android.support/appcompat-v7/21.0.0/res/values-v11/values.XML"

Je ai fixé mon problème en supprimant bibliothèque coulissante :(